<? include('checkcookie.php');
//пост
if(isset($_POST["del"]))
{
$ident=$_POST["ident"];
mysql_query("UPDATE tb_users SET sell='' WHERE id='$ident'");
echo "<center>Пользователь $ident снят с продажи!</center>";
}
if(isset($_POST["add"]))
{
$sell=$_POST["sell"];
$ident=$_POST["ident"];
mysql_query("UPDATE tb_users SET sell='$sell' WHERE id='$ident'");
echo "<center><b><green>Пользователь $ident успешно выставлен на продажу по цене $sell</green></b></center>";
}
//переходы по страницам
$kolvo=10; //кол-во выводимых рефералов на страницу
$sqlz=mysql_query("SELECT id FROM tb_users WHERE referer=''");
$vsego=intval(mysql_num_rows($sqlz)/$kolvo);
$gg=$vsego*$kolvo;
if($gg<mysql_num_rows($sqlz)) { $vsego=$vsego+1; }
if(isset($_GET["view"])) { $page=intval($_GET["view"]); }else{ $page=1; }
$pages=$vsego/$kolvo;
$pages1=floor($pages);
if($pages>$pages1)
{
	$pages=$pages1+1;
}
if($page>$vsego)
{
echo "<fieldset style=\"background: pink;\" align=center><img src=images/error.png align=absmiddle>Такой страницы не существует!</fieldset>";
exit;
}
$p1=$kolvo*($page-1);
$p2=$kolvo;
$sql=mysql_query("SELECT * FROM tb_users WHERE referer='' order by visits desc limit $p1,$p2");
if(mysql_num_rows($sql)<1) //если есть чего выводить
{
echo "<fieldset style=\"background: pink;\" align=center><img src=images/error.png align=absmiddle> Свободных рефералов,выставленных на продажу нет!</fieldset>";
exit;
}


//!переходы
$allrefs=mysql_num_rows($sqlz); //всего скоко
?>
<table width="100%" style="border: 1px dashed grey;">
<tr bgcolor="#ccc">
<td style="border: 1px solid grey;" align=center>Логин</td>
<td style="border: 1px solid grey;" align=center>Рефералов 1 уровня</td>
<td style="border: 1px solid grey;" align=center>Кол-во кликов</td>
<td style="border: 1px solid grey;" align=center>Денег на балансе</td>
<td style="border: 1px solid grey;" align=center>Уже выплачено</td>
<td style="border: 1px solid grey;" align=center>Последняя активность</td>
<td style="border: 1px solid grey;" align=center>Стоимость</td>
<td style="border: 1px solid grey;" align=center>Действие</td>
</tr>

<? while($row=mysql_fetch_array($sql))
{
?>
<tr><form action="" method="post">
<td style="border: 1px solid grey;" align=center><?=$row["username"]; ?></td>
<td style="border: 1px solid grey;" align=center><?=$row["referals"]; ?></td>
<td style="border: 1px solid grey;" align=center><?=$row["visits"]; ?></td>
<td style="border: 1px solid grey;" align=center><?=round($row["money"],2); ?></td>
<td style="border: 1px solid grey;" align=center><?=round($row["paid"],2); ?></td>
<td style="border: 1px solid grey;" align=center><?=$row["lastlogdate"]; ?></td>
<td style="border: 1px solid grey;" align=center><?=$row["sell"]; ?></td>
<td style="border: 1px solid grey;" align=center><?
if($row["sell"]!='')
{
?><input type="submit" name="del" value="Снять с продажи"><?
}else{
?><input type="text" name="sell" value="0.00"> <input type="submit" name="add" value="Выставить на продажу">
<?
}
?></td><input type="hidden" name="ident" value="<?=$row["id"]; ?>"></form>
</tr>
<?
}
echo "</table><center>";
$u=1;
while($u<=$vsego)
{
if($u!=$vsego)
{
?>
<a href="adminmain.php?p=buyrefs&view=<?=$u ?>"><?=$u ?></a> | 
<?
}else{
?><a href="adminmain.php?p=buyrefs&view=<?=$u ?>"><?=$u ?></a>
<?
}
$u++;
}
echo "</center>";
exit;

?>